minetest.register_node("drink_machine:drink_machine", {
	description = "Drink Vending Machine",
	mesh = "drink_machine.obj",
	tiles = {"drink_machine.png"},
	paramtype = "light",
	paramtype2 = "facedir",
	drawtype = "mesh",
	collision_box = {
	type = "fixed",
	fixed = {-0.5, -0.5, -0.5, 0.5, 1.5, 0.5}
         },
        selection_box = {
        type = "fixed",
        fixed = {-0.5, -0.5, -0.5, 0.5, 1.5, 0.5}
        },
	groups = {snappy=3},
	expand = { top="placeholder" },
	sounds = default.node_sound_wood_defaults(),
	on_rotate = screwdriver.rotate_simple,
	on_punch = function(pos, node, puncher, pointed_thing)
		local wielditem = puncher:get_wielded_item()
		local wieldname = wielditem:get_name()
		local fdir_to_fwd = { {0, -1}, {-1, 0}, {0, 1}, {1, 0} }
		local fdir = node.param2
		local pos_drop = { x=pos.x+fdir_to_fwd[fdir+1][1], y=pos.y, z=pos.z+fdir_to_fwd[fdir+1][2] }
		if wieldname == "sweet_machine:coin" then
			wielditem:take_item()
			puncher:set_wielded_item(wielditem)
			minetest.spawn_item(pos_drop, "drink_machine:soda") 
			minetest.spawn_item(pos_drop, "drink_machine:water_bottle") 
			minetest.sound_play("insert_coin", {
				pos=pos, max_hear_distance = 5
			})
		else
			minetest.chat_send_player(puncher:get_player_name(), "Please insert a coin in the machine.")
		end
	end
})

minetest.register_craft({
    output = 'drink_machine:drink_machine',
    recipe = {
      {'default:steel_ingot','dye:sky_blue','default:steel_ingot'},
      {'default:steel_ingot','dye:sky_blue','default:steel_ingot'},
      {'default:steel_ingot','dye:sky_blue','default:steel_ingot'},
    }
})

minetest.register_craftitem("drink_machine:soda", {
	description = "Soda",
	inventory_image = "soda.png",
	on_use = minetest.item_eat(5),
})

minetest.register_craftitem("drink_machine:water_bottle", {
	description = "Water Bottle",
	inventory_image = "water_bottle.png",
	on_use = minetest.item_eat(6),
})
